i2o_block_open
Prev | I2O message devices | Next

## Name

i2o_block_open — Open the block device

## Synopsis

`int i2o_block_open (` | struct inode * | inode,
| struct file * | file`)`;

## Arguments

`inode`

  inode for block device being opened

`file`

  file to open

## Description

Power up the device, mount and lock the media. This function is called, if the block device is opened for access.

Returns 0 on success or negative error code on failure.

Prev | Up | Next
i2o_block_reply | Home | i2o_block_release